LIBRARY = libReader.a#
OBJS = Reader.o

CC = i586-mingw32msvc-g++
AR = i586-mingw32msvc-ar
RM = /bin/rm -f

CFLAGS = -Wall -O2 -mms-bitfields -I../SceneGraph -I../Utility $(FLAGS)
ARFLAGS = rc

all: $(OBJS) VRMLReader
	$(AR) $(ARFLAGS) $(LIBRARY) $(OBJS) VRMLReader/*.o

%.o: %.cpp
	$(CC) $(CFLAGS) -c $< -o $@

VRMLReader:
	cd VRMLReader && make -f Makefile.MinGW32

clean:
	cd VRMLReader && make clean -f Makefile.MinGW32
	$(RM) *~ *.o $(LIBRARY)

.PHONY: VRMLReader

